Bug 89519 - re-export in PPT - some drawings are lost (but not in PPTX) (WPS)
Summary: re-export in PPT - some drawings are lost (but not in PPTX) (WPS)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ppt
Depends on:
Blocks: PPT
  Show dependency treegraph
 
Reported: 2015-02-21 06:57 UTC by Ljiljan
Modified: 2021-01-13 09:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Orignal working file (for bug reporting) (95.16 KB, application/wps-office.pptx)
2015-02-21 06:57 UTC, Ljiljan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2015-02-21 06:57:00 UTC
Created attachment 113569 [details]
Orignal working file (for bug reporting)

LO Impress perfectly import both PPT and PPTX files (PPT is attached). LO Impress saves both files in ODP (no mistakes again). However, when exported again in PPT (but not in PPTX) some shapes are lost.

Steps to reproduce:

1. open the attached file
2. save in in ODP
3. open it again (nothing is lost)
4. save it in PPT 
5. open in Power Point and Impress - some drawings are lost (custom drawings, arrows, etc...)
Comment 1 A (Andy) 2015-02-22 13:16:37 UTC
Reproducible with LO 4.4.0.3, Win 8.1

Slide 1:
The circle objects are lost.

Slide 2:
The circle objects are lost and the curly arrows are changed to straight arrows.

Slide 3:
The arrows are lost.

These issues do not happen if you save it as pptx.
Comment 2 tommy27 2016-04-16 07:26:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 3 QA Administrators 2019-05-14 02:55:56 UTC Comment hidden (obsolete)
Comment 4 BogdanB 2020-10-09 21:35:16 UTC
Still in
Version: 6.4.6.2
Build ID: 0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: nl-BE (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded